org.apache.ignite.internal.processors.datastructures

## Class AtomicDataStructureValue

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.AtomicDataStructureValue

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheInternal

Direct Known Subclasses:
  DistributedCollectionMetadata, GridCacheAtomicLongValue, GridCacheAtomicReferenceValue, GridCacheAtomicSequenceValue, GridCacheAtomicStampedValue, VolatileAtomicDataStructureValue

    public abstract class AtomicDataStructureValue
    extends Object
    implements GridCacheInternal, Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AtomicDataStructureValue()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract DataStructureType` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.Externalizable

`readExternal, writeExternal`

### Constructor Detail

#### AtomicDataStructureValue

    public AtomicDataStructureValue()

### Method Detail

#### type

    public abstract DataStructureType type()

Returns:
  Data structure type.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018